speckleycpp.cpp File Reference
`#include <speckley/AbstractAssembler.h>`
`#include <speckley/Brick.h>`
`#include <speckley/Rectangle.h>`
`#include <escript/ExceptionTranslators.h>`
`#include <escript/SubWorld.h>`
`#include <boost/python.hpp>`
`#include <boost/python/module.hpp>`
`#include <boost/python/def.hpp>`
`#include <boost/python/detail/defaults_gen.hpp>`
`#include <boost/version.hpp>`

## Namespaces

| speckley

## Functions

template<typename T >
std::vector< T > | speckley::extractPyArray (const object &obj, const std::string &name, int expectedLength=0)
escript::Data | speckley::readBinaryGrid (std::string filename, escript::FunctionSpace fs, const object &pyShape, double fill, int byteOrder, int dataType, const object &pyFirst, const object &pyNum, const object &pyMultiplier, const object &pyReverse)
escript::Data | speckley::readBinaryGridFromZipped (std::string filename, escript::FunctionSpace fs, const object &pyShape, double fill, int byteOrder, int dataType, const object &pyFirst, const object &pyNum, const object &pyMultiplier, const object &pyReverse)
escript::Data | speckley::readNcGrid (std::string filename, std::string varname, escript::FunctionSpace fs, const object &pyShape, double fill, const object &pyFirst, const object &pyNum, const object &pyMultiplier, const object &pyReverse)
escript::Domain_ptr | speckley::_brick (int order, double _n0, double _n1, double _n2, const object &l0, const object &l1, const object &l2, int d0, int d1, int d2, const object &objpoints, const object &objtags, escript::SubWorld_ptr world)
escript::Domain_ptr | speckley::_rectangle (int order, double _n0, double _n1, const object &l0, const object &l1, int d0, int d1, const object &objpoints, const object &objtags, escript::SubWorld_ptr world)
| BOOST_PYTHON_MODULE (speckleycpp)

## Function Documentation

## BOOST_PYTHON_MODULE()

BOOST_PYTHON_MODULE | ( | speckleycpp |  | ) |

References speckley::_brick(), speckley::_rectangle(), speckley::SpeckleyDomain::addToRHSFromPython(), speckley::SpeckleyDomain::addToSystemFromPython(), speckley::BYTEORDER_BIG_ENDIAN, speckley::BYTEORDER_LITTLE_ENDIAN, speckley::BYTEORDER_NATIVE, speckley::SpeckleyDomain::createAssemblerFromPython(), speckley::DATATYPE_FLOAT32, speckley::DATATYPE_FLOAT64, speckley::DATATYPE_INT32, speckley::SpeckleyDomain::dump(), speckley::SpeckleyDomain::getDataShape(), speckley::SpeckleyDomain::getDescription(), speckley::SpeckleyDomain::getDim(), speckley::SpeckleyDomain::getGridParameters(), speckley::SpeckleyDomain::getMPIRank(), speckley::SpeckleyDomain::getMPISize(), speckley::SpeckleyDomain::getNormal(), speckley::SpeckleyDomain::getNumDataPointsGlobal(), speckley::SpeckleyDomain::getOrder(), speckley::SpeckleyDomain::getSize(), speckley::SpeckleyDomain::getSystemMatrixTypeId(), speckley::SpeckleyDomain::getTag(), speckley::SpeckleyDomain::getX(), speckley::SpeckleyDomain::isValidTagName(), speckley::SpeckleyDomain::MPIBarrier(), speckley::SpeckleyDomain::newSystemMatrix(), speckley::SpeckleyDomain::onMasterProcessor(), speckley::SpeckleyDomain::Print_Mesh_Info(), speckley::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::readNcGrid(), REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS, escript::RuntimeErrorTranslator(), speckley::SpeckleyDomain::setTagMap(), speckley::SpeckleyDomain::showTagNames(), and speckley::SpeckleyDomain::writeBinaryGrid().